import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { Channel } from '../../../models/channel';

@Component({
  selector: 'app-channel-list',
  standalone: false,
  templateUrl: './channel-list.component.html',
  styleUrl: './channel-list.component.scss'
})
export class ChannelListComponent implements OnInit {
  @Output("select") selectEmitter: EventEmitter<Channel> = new EventEmitter<Channel>();

  public channels: Channel[] = [
    {
      id: 0,
      name: 'default',
      description: 'this is the default channel'
    },
    {
      id: 1,
      name: 'gaming',
      description: 'this is another channel'
    },
  ];

  public selectedChannel!: Channel;

  constructor() { }

  ngOnInit() {
    // TODO: query list of channels

    this.selectedChannel = this.channels[0];
  }

  public Select(index: number): void {
    this.selectEmitter.emit(this.selectedChannel = this.channels[index]);
  }
}
